<ui:composition xmlns="http://www.w3.org/1999/xhtml" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html" xmlns:cc="http://xmlns.jcp.org/jsf/composite">
	<cc:interface>
		<cc:attribute name="value" required="true" type="java.lang.String" />
		<cc:attribute name="definition" required="true" type="java.lang.String" />
		<cc:attribute name="theme" required="false" default="bootstrap3" type="java.lang.String" />
		<cc:attribute name="iconlib" required="false" default="fontawesome3" type="java.lang.String" />
	</cc:interface>
	<cc:implementation>
  	<h:outputScript library="js" name="jsoneditor.min.js?version=#{appl.getVersion(facesContext)}" target="head" />
  	<h:outputScript library="js" name="jsoneditor.options.js?version=#{appl.getVersion(facesContext)}" target="head" />
		<h:inputHidden id="outputField" value="#{cc.attrs.value}" />
		<div id="#{cc.attrs.clientId}:jsoneditor"></div>
		<script type="text/javascript">
			JSONEditor.defaults.options.theme = '#{cc.attrs.theme}';
			JSONEditor.defaults.options.iconlib = '#{cc.attrs.iconlib}';
			// setup
			var editor = new JSONEditor(document.getElementById("#{cc.attrs.clientId}:jsoneditor"), {schema: #{cc.attrs.definition}});
			editor.on("change", function(){
			  $("[id = '#{cc.attrs.clientId}:outputField']").val(JSON.stringify(editor.getValue()));
			});
		</script>
	</cc:implementation>
</ui:composition>